%define major		8
%define libname		%mklibname phonenumber %{major}
%define libgeocoding	%mklibname geocoding %{major}
%define devname		%mklibname phonenumber -d

Name:		libphonenumber
Version:	8.12.57
Release:	%mkrel 4
Summary:	Library for parsing, formatting, and validating international phone numbers
License:	ASL 2.0
Group:		System/Libraries
Url:		https://github.com/google/libphonenumber
Source0:	https://github.com/google/libphonenumber/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		libphonenumber-8.12.57-mga-link.patch
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	java
BuildRequires:	boost-devel
# required abseil-cpp built with -DCMAKE_POSITION_INDEPENDENT_CODE=ON
BuildRequires:	cmake(absl)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(icu-i18n) >= 4.4
BuildRequires:	pkgconfig(icu-uc) >= 4.4
BuildRequires:	pkgconfig(protobuf) >= 2.4

%description
Google's common Java, C++ and JavaScript library for parsing, formatting,
and validating international phone numbers.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for parsing, formatting, and validating international phone numbers
Group:		System/Libraries

%description -n	%{libname}
Google's common Java, C++ and JavaScript library for parsing, formatting,
and validating international phone numbers. The Java version is optimized
for running on smartphones, and is used by the Android framework since 4.0
(Ice Cream Sandwich).

#------------------------------------------------

%package -n	%{libgeocoding}
Summary:	Library for parsing, formatting, and validating international phone numbers
Group:		System/Libraries

%description -n	%{libgeocoding}
Google's common Java, C++ and JavaScript library for parsing, formatting,
and validating international phone numbers. The Java version is optimized
for running on smartphones, and is used by the Android framework since 4.0
(Ice Cream Sandwich).

#------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{libgeocoding} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	phonenumber-devel = %{version}-%{release}

%description -n	%{devname}
This package provides libraries and header files for developing applications
that use libphonenumber.

#------------------------------------------------

%prep
%autosetup -p1

%build
cd cpp
# abseil-cpp compiled with -std=gnu++17
%cmake -DCMAKE_CXX_STANDARD=17
%cmake_build

%install
cd cpp
%cmake_install

find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%license LICENSE*
%{_libdir}/libphonenumber.so.%{major}{,.*}

%files -n %{libgeocoding}
%license LICENSE*
%{_libdir}/libgeocoding.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libgeocoding.so
%{_libdir}/libphonenumber.so
%{_includedir}/phonenumbers/


%changelog
* Sat Jan 07 2023 squidf <squidf> 8.12.57-4.mga9
+ Revision: 1931139
- Mass rebuild for icu 72.1

* Sat Dec 24 2022 wally <wally> 8.12.57-3.mga9
+ Revision: 1926495
- rebuild for boost 1.81.0

* Thu Dec 22 2022 wally <wally> 8.12.57-2.mga9
+ Revision: 1925787
- rebuild for protobuf 21.12

* Sun Nov 27 2022 daviddavid <daviddavid> 8.12.57-1.mga9
+ Revision: 1912005
- new version: 8.12.57

* Sun Jul 03 2022 wally <wally> 8.12.23-7.mga9
+ Revision: 1867271
- rebuild for boost 1.79.0

* Sat Jun 18 2022 squidf <squidf> 8.12.23-6.mga9
+ Revision: 1864869
- rebuild for icu 71.1

* Wed Mar 30 2022 umeabot <umeabot> 8.12.23-5.mga9
+ Revision: 1833748
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 8.12.23-4.mga9
+ Revision: 1764986
- rebuild for protobuf 3.19.1

* Sun Dec 19 2021 wally <wally> 8.12.23-3.mga9
+ Revision: 1762648
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 8.12.23-2.mga9
+ Revision: 1744606
- rebuild for boost 1.77.0

* Sun Aug 08 2021 luigiwalser <luigiwalser> 8.12.23-1.mga9
+ Revision: 1740241
- 8.12.23

* Tue Aug 03 2021 luigiwalser <luigiwalser> 8.12.21-3.mga9
+ Revision: 1738941
- rebuild for icu

* Fri May 14 2021 wally <wally> 8.12.21-2.mga9
+ Revision: 1722980
- rebuild for boost 1.76.0

* Sun Apr 18 2021 daviddavid <daviddavid> 8.12.21-1.mga9
+ Revision: 1716486
- new version: 8.12.21

* Sun Mar 21 2021 daviddavid <daviddavid> 8.12.20-1.mga9
+ Revision: 1706671
- new version: 8.12.20

* Fri Mar 12 2021 daviddavid <daviddavid> 8.12.19-1.mga9
+ Revision: 1701636
- new version: 8.12.19

* Thu Feb 25 2021 daviddavid <daviddavid> 8.12.18-1.mga9
+ Revision: 1690871
- new version: 8.12.18

* Thu Feb 25 2021 daviddavid <daviddavid> 8.12.16-1.mga9
+ Revision: 1690677
- new version: 8.12.16

* Thu Dec 31 2020 wally <wally> 8.12.15-2.mga8
+ Revision: 1666777
- rebuild for boost 1.75.0

* Sat Dec 26 2020 daviddavid <daviddavid> 8.12.15-1.mga8
+ Revision: 1663796
- new version: 8.12.15

* Sun Dec 20 2020 wally <wally> 8.12.14-3.mga8
+ Revision: 1662019
- rebuild for boost 1.74.0

* Fri Dec 18 2020 luigiwalser <luigiwalser> 8.12.14-2.mga8
+ Revision: 1661001
- rebuild for protobuf

* Tue Dec 15 2020 daviddavid <daviddavid> 8.12.14-1.mga8
+ Revision: 1657658
- new version: 8.12.14

* Wed Dec 02 2020 daviddavid <daviddavid> 8.12.13-1.mga8
+ Revision: 1651547
- new version: 8.12.13

* Mon Nov 30 2020 luigiwalser <luigiwalser> 8.12.12-2.mga8
+ Revision: 1650718
- rebuild for protobuf

* Sun Nov 08 2020 daviddavid <daviddavid> 8.12.12-1.mga8
+ Revision: 1643823
- new version: 8.12.12

* Thu Oct 22 2020 daviddavid <daviddavid> 8.12.11-1.mga8
+ Revision: 1638551
- new version: 8.12.11

* Tue Aug 25 2020 daviddavid <daviddavid> 8.12.8-1.mga8
+ Revision: 1618835
- new version: 8.12.8

* Wed Jul 15 2020 daviddavid <daviddavid> 8.12.7-1.mga8
+ Revision: 1606237
- new version: 8.12.7

* Wed Jul 01 2020 wally <wally> 8.12.6-3.mga8
+ Revision: 1601037
- rebuild for icu 67.1

* Sun Jun 28 2020 daviddavid <daviddavid> 8.12.6-2.mga8
+ Revision: 1600170
- rebuild for new protobuf 3.12.3

* Sun Jun 21 2020 daviddavid <daviddavid> 8.12.6-1.mga8
+ Revision: 1598254
- new version: 8.12.6

* Wed Jun 17 2020 daviddavid <daviddavid> 8.12.5-1.mga8
+ Revision: 1594184
- new version: 8.12.5

* Tue May 19 2020 daviddavid <daviddavid> 8.12.3-1.mga8
+ Revision: 1586129
- new version: 8.12.3

* Sun May 03 2020 wally <wally> 8.12.2-2.mga8
+ Revision: 1578074
- rebuild for boost 1.73.0

* Thu Apr 30 2020 daviddavid <daviddavid> 8.12.2-1.mga8
+ Revision: 1573437
- new version: 8.12.2

* Sat Apr 04 2020 wally <wally> 8.12.1-2.mga8
+ Revision: 1564473
- rebuild for new icu 66.1

* Thu Apr 02 2020 daviddavid <daviddavid> 8.12.1-1.mga8
+ Revision: 1563947
- new version: 8.12.1

* Tue Mar 31 2020 daviddavid <daviddavid> 8.12.0-1.mga8
+ Revision: 1562505
- new version: 8.12.0

* Thu Feb 20 2020 umeabot <umeabot> 8.11.3-2.mga8
+ Revision: 1547269
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 8.11.3-1.mga8
+ Revision: 1487773
- initial package libphonenumber (for plasma-phone-components)

